[arch-commits] Commit in bshapr/repos/community-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Wed Feb 10 17:52:00 UTC 2021


    Date: Wednesday, February 10, 2021 @ 17:52:00
  Author: dvzrv
Revision: 853843

archrelease: copy trunk to community-x86_64

Added:
  bshapr/repos/community-x86_64/PKGBUILD
    (from rev 853842, bshapr/trunk/PKGBUILD)
Deleted:
  bshapr/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   75 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 38 insertions(+), 37 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-10 17:51:48 UTC (rev 853842)
+++ PKGBUILD	2021-02-10 17:52:00 UTC (rev 853843)
@@ -1,37 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-
-_name=BShapr
-_plugin_uri="https://www.jahnichen.de/plugins/lv2/BShapr"
-pkgname=bshapr
-pkgver=0.9
-pkgrel=1
-pkgdesc="Beat/ envelope shaper LV2 plugin"
-arch=('x86_64')
-url="https://github.com/sjaehn/BShapr"
-license=('GPL3')
-groups=('lv2-plugins' 'pro-audio')
-depends=('cairo' 'gcc-libs' 'glibc' 'libx11')
-makedepends=('lv2')
-checkdepends=('lv2lint')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/sjaehn/${pkgname}/archive/v${pkgver}.tar.gz")
-sha512sums=('e39020230f64082df7e04d7e69637650924928ee6e43a3e9834f8570225038d5bfb91a0887eb1a779d6962fe6cadc7e46a114c927b950b8a0471d70f36940bd8')
-
-prepare() {
-  mv -v "${_name}-${pkgver}" "${pkgname}-${pkgver}"
-}
-
-build() {
-  cd "$pkgname-$pkgver"
-  make
-}
-
-check() {
-  cd "$pkgname-$pkgver"
-  lv2lint -Mpack -I "${_name}.lv2/" "${_plugin_uri}" || echo "Known to fail: https://github.com/sjaehn/BShapr/issues/7"
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-  make PREFIX=/usr DESTDIR="$pkgdir/" install
-  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
-}

Copied: bshapr/repos/community-x86_64/PKGBUILD (from rev 853842, bshapr/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-10 17:52:00 UTC (rev 853843)
@@ -0,0 +1,38 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+_name=BShapr
+_plugin_uri="https://www.jahnichen.de/plugins/lv2/BShapr"
+pkgname=bshapr
+pkgver=0.10
+pkgrel=1
+pkgdesc="Beat/ envelope shaper LV2 plugin"
+arch=('x86_64')
+url="https://github.com/sjaehn/BShapr"
+license=('GPL3')
+groups=('lv2-plugins' 'pro-audio')
+depends=('cairo' 'gcc-libs' 'glibc' 'libx11' 'lv2-host')
+makedepends=('lv2')
+checkdepends=('lv2lint')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/sjaehn/${pkgname}/archive/v${pkgver}.tar.gz")
+sha512sums=('36819fb8186e27a6228a0e4cafadead87242fe5fd25cbfc6926b94fcc5c54c33e4b89f88bb5af0997a5a4e013509c5d87bed51dff4ca403b74565f4f8a823ba1')
+b2sums=('d1387081e2fe94647e42e4861ff90eb7f81aeb4f34a4c1d299c15830a89da436c07af7fedb593f6f8b5f8e0906eb1a13e90a2a5517bbc3539cfcbcbd26afef9a')
+
+prepare() {
+  mv -v "${_name}-${pkgver}" "${pkgname}-${pkgver}"
+}
+
+build() {
+  cd "$pkgname-$pkgver"
+  make
+}
+
+check() {
+  cd "$pkgname-$pkgver"
+  lv2lint -Mpack -I "${_name}.lv2/" "${_plugin_uri}" || echo "Known to fail: https://github.com/sjaehn/BShapr/issues/7"
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+  make PREFIX=/usr DESTDIR="$pkgdir/" install
+  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
+}


More information about the arch-commits mailing list